Subject: RE: [External] : Re: bug#51586: 27.2; Customize inserts trailing-space empty lines in doc string

From: Drew Adams <[email-masked]>
Date: Wed, 3 Nov 2021 23:16:24 +0000

> Isn't it sort of nice that the user can put point at the "S" here
> 
>    Several possibilities:
> 
>    * ‘xxx’ - yyyyyyyyy yyyyyyyyyyyy
> 
>    * ‘yyy’ - zzzzzzzzzzzzzz zzzzzzzzz
> 
> and then hit `C-n' without having the cursor jump from column 0 to
> column 4?  Neither way seems obviously better to me.
> Also, does the user care about trailing whitespace here?

Sounds a bit like trying to make a virtue out of a
necessity. ;-)

My impression is that many users turn on highlighting
of trailing whitespace generally.  And it's typically
a pretty glaring highlighting.

I don't turn it on, myself, except when I want to
check something.  But I think many users do.  Of
course, you can say that if many do, and they're
bothered by this, they'll report it...

Do I really care about this?  No.  Just letting you
know it happens.

(I doubt that it was by design.  I expect it was done
by accident long before we had such highlighting.  It
wouldn't even have been noticed when done.)